Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.nodes
Class TObjectReference

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.nodes.TObjectReference

All Implemented Interfaces:
  Visitable

    public class TObjectReference

extends TParseTreeNode

Field Summary
`TObjectName` | `objectname`

Constructor Summary
`TObjectReference()`

Method Summary
`int` | `getObjectType()`
`void` | `init(java.lang.Object arg1)` Initialize a query tree node.
`boolean` | `isEqual(TObjectReference obj)` Are these 2 objects reference points the same object?
`void` | `setObjectType(int objectType)`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`accept, addAllMyTokensToTokenList, doParse, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### objectname

    public TObjectName objectname

Constructor Detail

### TObjectReference

    public TObjectReference()

Method Detail

### setObjectType

    public void setObjectType(int objectType)

### getObjectType

    public int getObjectType()

### init

    public void init(java.lang.Object arg1)

  Description copied from class: `TParseTreeNode`
  Initialize a query tree node.

  Overrides:
    `init` in class `TParseTreeNode`

### isEqual

    public boolean isEqual(TObjectReference obj)

  Are these 2 objects reference points the same object?

  Parameters:
    `obj` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD